Name:           perl-Types-ReadOnly
Version:        0.003
Release:        3%{?dist}
Summary:        Type constraints and coercions for read-only data structures and locked hashes
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Types-ReadOnly
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/Types-ReadOnly-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  %{__perl}
BuildRequires:  %{__make}

BuildRequires:  perl-interpreter >= 0:5.008001
BuildRequires:  perl-generators

BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(Hash::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Type::Coercion)
BuildRequires:  perl(Type::Library)
%if !%{defined perl_bootstrap}
# Build-cycle: perl-Types-ReadOnly <--> perl-Type-Tiny
BuildRequires:  perl(Type::Tiny) >= 1.006000
%endif
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# tests
BuildRequires:  perl(Mouse) >= 1.00
BuildRequires:  perl(Moo) >= 1.000000
BuildRequires:  perl(Moose) >= 2.0600
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
%if !%{defined perl_bootstrap}
# Build-cycle: perl-Types-ReadOnly <--> perl-Type-Tiny
BuildRequires:  perl(Test::TypeTiny)
%endif

%description
This is a type constraint library for write-restricted references.

This module is built with Type::Tiny, which means that you can use it
with Moo, Mouse, Moose, or none of the above.

%prep
%setup -q -n Types-ReadOnly-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install} DESTDIR="$RPM_BUILD_ROOT"
%{_fixperms} "$RPM_BUILD_ROOT"/*

%check
%if !%{defined perl_bootstrap}
# Build-cycle: perl-Types-ReadOnly <--> perl-Type-Tiny
%{__make} test
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Dec 19 2024 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.003-3
- Separate test-BRs.

* Wed May 22 2024 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.003-2
- Modernize spec.

* Thu Jun 16 2022 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.003-1
- Initial Fedora package.
